package org.amse.gk.grapheditor.gui.view;

import javax.swing.JSplitPane;

@SuppressWarnings("serial")
class MySplitPane extends JSplitPane {
	private int myDividerSize;
	
	public MySplitPane(int newOrientation, boolean newContinuousLayout) {
		super(newOrientation, newContinuousLayout);
		setResizeWeight(1);
		myDividerSize = getDividerSize();
	}
	
	void hideTextComponent() {
		getRightComponent().setVisible(false);
		setDividerSize(0);
	}
	
	void showTextComponent() {
		getRightComponent().setVisible(true);
		setDividerSize(myDividerSize);
		setDividerLocation(getDividerLocation() - 120);
	}
	
}