package org.amse.gk.grapheditor.model.impl;

import org.amse.gk.grapheditor.model.IGraph;

/**
 * Class GraphFactory is used for creating {@link AbstractGraph}
 * 
 * @see AbstractGraph
 */
public class GraphFactory {
	private GraphFactory() {
	}

	public static IGraph createGraph() {
		return new AbstractGraph();
	}
}
