package org.amse.gk.grapheditor.algorithms;

public enum StepType {
	/**
	 * Type of step that can be run with next-button press. 
	 */
	NEXT_BUTTON_STEP,
	/**
	 * This type of step needs some user action like choosing vertex
	 * with mouse.
	 */
	CHOOSING_VERTEX_STEP,
	/**
	 * Final step, after it algorithm will terminate.
	 */
	FINAL_STEP;

}
