package org.amse.gk.grapheditor.algorithms.creators;

import org.amse.gk.grapheditor.algorithms.IAlgorithm;
import org.amse.gk.grapheditor.algorithms.IAlgorithmCreator;
import org.amse.gk.grapheditor.algorithms.impl.BreadthFirstSearch;
import org.amse.gk.grapheditor.model.IGraph;

public class BreadthFirstSearchCreator implements IAlgorithmCreator {

	public BreadthFirstSearchCreator() {
		
	}
	
	public IAlgorithm newAlgorithm(IGraph g) {		
		return new BreadthFirstSearch(g);
	}
	
	public String getName() {
		return "Breadth-first search";
	}

	public boolean isAlgorithmEnabled(IGraph graph) {		
		return !graph.vertices().isEmpty();
	}

}
